stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan.Inspection.Style

Contents

- Style inspections
  - Missing fixity
  - Too big tuples
- All inspections

Description

Contains all `Inspection`s for style improvements.

The style inspections are in ranges:

-     STAN-0301 .. STAN-0400

Synopsis

- stan0301 :: Inspection
- stan0302 :: Inspection
- styleInspectionsMap :: InspectionsMap

# Style inspections

### Missing fixity

stan0301 :: Inspection #

`Inspection` — missing fixity declaration `STAN-0301`.

### Too big tuples

stan0302 :: Inspection #

`Inspection` — to big tuples `STAN-0302`.

# All inspections

styleInspectionsMap :: InspectionsMap #

All anti-pattern `Inspection`s map from `Id`s.